Skip to main content
GET
/
public
/
{user_id}
/
orders
List Orders
curl --request GET \
  --url https://apigw.ipxo.com/ecommerce/public/{user_id}/orders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "uuid": "4b059d56-04bd-3a7c-a523-02c062665378",
      "status": "draft",
      "placed_at": "2025-06-11T16:04:44.0000000+00:00",
      "expires_at": "2026-03-11T14:05:30.0000000+00:00",
      "sub_total": {
        "currency": "USD",
        "amount": "9662.00",
        "amount_minor": 966200
      },
      "discount_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "tax_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "credits_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "total": {
        "currency": "USD",
        "amount": "9662.00",
        "amount_minor": 966200
      },
      "remaining_total": {
        "currency": "USD",
        "amount": "9662.00",
        "amount_minor": 966200
      },
      "total_before_tax": {
        "currency": "USD",
        "amount": "9662.00",
        "amount_minor": 966200
      },
      "tax_breakdown": [
        {
          "amount": {
            "currency": "USD",
            "amount": "0.00",
            "amount_minor": 0
          },
          "code": "Test Tax",
          "name": "some-tax",
          "rate": 10,
          "calculator_type": "percent"
        }
      ],
      "discount_breakdown": [
        {
          "amount": {
            "currency": "USD",
            "amount": "0.00",
            "amount_minor": 0
          },
          "code": "Test Discount",
          "name": "some-discount",
          "rate": 10,
          "calculator_type": "percent"
        }
      ]
    },
    {
      "uuid": "67fa6c6f-4573-3fc7-8230-798493c16b24",
      "status": "draft",
      "placed_at": "2025-11-21T06:30:35.0000000+00:00",
      "expires_at": "2026-03-11T14:05:30.0000000+00:00",
      "sub_total": {
        "currency": "USD",
        "amount": "4303.00",
        "amount_minor": 430300
      },
      "discount_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "tax_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "credits_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "total": {
        "currency": "USD",
        "amount": "4303.00",
        "amount_minor": 430300
      },
      "remaining_total": {
        "currency": "USD",
        "amount": "4303.00",
        "amount_minor": 430300
      },
      "total_before_tax": {
        "currency": "USD",
        "amount": "4303.00",
        "amount_minor": 430300
      },
      "tax_breakdown": [
        {
          "amount": {
            "currency": "USD",
            "amount": "0.00",
            "amount_minor": 0
          },
          "code": "Test Tax",
          "name": "some-tax",
          "rate": 10,
          "calculator_type": "percent"
        }
      ],
      "discount_breakdown": [
        {
          "amount": {
            "currency": "USD",
            "amount": "0.00",
            "amount_minor": 0
          },
          "code": "Test Discount",
          "name": "some-discount",
          "rate": 10,
          "calculator_type": "percent"
        }
      ]
    }
  ],
  "meta": {
    "current_page": 1,
    "total": 2,
    "per_page": 10
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
required

The ID of the user.

Query Parameters

sort
enum<string>

A comma-separated list of fields to sort. Multiple allowed. Prefix with - to sort descending.

Available options:
placed_at,
created_at
Example:

"placed_at"

filter[uuid]
string
Example:

"4cdf32b8-47e2-4714-88b4-9ab307a097f9"

filter[status]
string
Example:

"processing,completed,cancelled"

filter[purchasable_uuid]
string
Example:

"4cdf32b8-47e2-4714-88b4-9ab307a097f9"

filter[purchasable_type]
string
Example:

"some_type"

filter[placed_at]
string
Example:

"2023-10-07T12:16:27+00:00"

filter[reference_id]
string
Example:

"some_reference_id"

Response

200 - application/json
data
object[]
Example:
[
{
"uuid": "4b059d56-04bd-3a7c-a523-02c062665378",
"status": "draft",
"placed_at": "2025-06-11T16:04:44+00:00",
"expires_at": "2026-03-11T14:05:30+00:00",
"sub_total": {
"currency": "USD",
"amount": "9662.00",
"amount_minor": 966200
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "9662.00",
"amount_minor": 966200
},
"remaining_total": {
"currency": "USD",
"amount": "9662.00",
"amount_minor": 966200
},
"total_before_tax": {
"currency": "USD",
"amount": "9662.00",
"amount_minor": 966200
},
"tax_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Tax",
"name": "some-tax",
"rate": 10,
"calculator_type": "percent"
}
],
"discount_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Discount",
"name": "some-discount",
"rate": 10,
"calculator_type": "percent"
}
]
},
{
"uuid": "67fa6c6f-4573-3fc7-8230-798493c16b24",
"status": "draft",
"placed_at": "2025-11-21T06:30:35+00:00",
"expires_at": "2026-03-11T14:05:30+00:00",
"sub_total": {
"currency": "USD",
"amount": "4303.00",
"amount_minor": 430300
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "4303.00",
"amount_minor": 430300
},
"remaining_total": {
"currency": "USD",
"amount": "4303.00",
"amount_minor": 430300
},
"total_before_tax": {
"currency": "USD",
"amount": "4303.00",
"amount_minor": 430300
},
"tax_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Tax",
"name": "some-tax",
"rate": 10,
"calculator_type": "percent"
}
],
"discount_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Discount",
"name": "some-discount",
"rate": 10,
"calculator_type": "percent"
}
]
}
]
meta
object